> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Blast

> Retry only the FAILED messages in a blast.



## OpenAPI

````yaml post /comms/blasts/{blast_id}/retry
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /comms/blasts/{blast_id}/retry:
    post:
      tags:
        - Message Blasts
      summary: Retry Blast
      description: Retry only the FAILED messages in a blast.
      operationId: retry_blast_comms_blasts__blast_id__retry_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: blast_id
          in: path
          required: true
          schema:
            type: string
            title: Blast Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlastSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BlastSummary:
      properties:
        id:
          type: string
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        channel:
          $ref: '#/components/schemas/BlastChannel'
        status:
          $ref: '#/components/schemas/BlastStatus'
        cohortId:
          anyOf:
            - type: string
            - type: 'null'
          title: Cohortid
        cohortName:
          anyOf:
            - type: string
            - type: 'null'
          title: Cohortname
        cohortIds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Cohortids
        cohortNames:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Cohortnames
        senderId:
          type: string
          title: Senderid
        totalRecipients:
          type: integer
          title: Totalrecipients
          default: 0
        sentCount:
          type: integer
          title: Sentcount
          default: 0
        deliveredCount:
          type: integer
          title: Deliveredcount
          default: 0
        failedCount:
          type: integer
          title: Failedcount
          default: 0
        bouncedCount:
          type: integer
          title: Bouncedcount
          default: 0
        optedOutCount:
          type: integer
          title: Optedoutcount
          default: 0
        sentAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Sentat
        completedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completedat
        createdDate:
          type: string
          format: date-time
          title: Createddate
      type: object
      required:
        - id
        - channel
        - status
        - senderId
        - createdDate
      title: BlastSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BlastChannel:
      type: string
      enum:
        - SMS
        - EMAIL
      title: BlastChannel
    BlastStatus:
      type: string
      enum:
        - PENDING
        - SENDING
        - WARMING
        - COMPLETED
        - PARTIALLY_FAILED
        - FAILED
        - STOPPED
      title: BlastStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````